Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065099 - [GTK3] firefox always crash [@ Oxygen::render_frame() ]
Summary: [GTK3] firefox always crash [@ Oxygen::render_frame() ]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: oxygen-gtk3
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 22:55 UTC by Sergio Monteiro Basto
Modified: 2014-03-06 16:09 UTC (History)
5 users (show)

Fixed In Version: oxygen-gtk3-1.3.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-04 06:47:06 UTC


Attachments (Terms of Use)
firebt.txt (deleted)
2014-02-15 04:29 UTC, Sergio Monteiro Basto
no flags Details
firebtcont.txt (deleted)
2014-02-15 04:32 UTC, Sergio Monteiro Basto
no flags Details
crash_bt (deleted)
2014-02-15 04:36 UTC, Sergio Monteiro Basto
no flags Details
crash only bt (deleted)
2014-02-15 05:19 UTC, Sergio Monteiro Basto
no flags Details
with all debugsimbols (deleted)
2014-02-16 17:56 UTC, Sergio Monteiro Basto
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 331020 None None None Never

Description Sergio Monteiro Basto 2014-02-13 22:55:23 UTC
Description of problem:

firefox-gtk3 always crash with core dump in kde windows manager

I use kde as windows manager , and every time that try to test firefox-gtk3 the firefox crash with a core dump , and though could be addons and other stuff , I see people moving on, but I always (since firefox-gtk3-29.0-3.fc20.x86_64) got a core dump , until I remember install gnome and test it on gnome which works . 


Verison:
firefox-gtk3-30.0-1.fc20.x86_64

Comment 1 Martin Stransky 2014-02-14 09:04:19 UTC
Can you provide a backtrace of the crash please? (see http://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products#Application_crash)

Thanks!

Comment 2 Sergio Monteiro Basto 2014-02-15 04:29:16 UTC
Created attachment 863546 [details]
firebt.txt

firefox backtrace

set logging on crash_bt
thread apply all bt full

Comment 3 Sergio Monteiro Basto 2014-02-15 04:32:07 UTC
Created attachment 863547 [details]
firebtcont.txt

gdb continue and 

crash_bt thread apply all bt full

Comment 4 Sergio Monteiro Basto 2014-02-15 04:36:22 UTC
Created attachment 863548 [details]
crash_bt

sorry crash_bt , is same but more clean of two initial attachments , I don't need copy and paste to a file ...

Comment 5 Sergio Monteiro Basto 2014-02-15 05:19:09 UTC
Created attachment 863549 [details]
crash only bt

with just only one simple bt, seems to be oxygen-gtk3 fault ...

Comment 6 Sergio Monteiro Basto 2014-02-16 17:56:10 UTC
Created attachment 863774 [details]
with all debugsimbols

now I had install all debuginfo packages yesterday , some packages was not installed , seems a mirror sync issue .

Now you have completes bt

Comment 7 Martin Stransky 2014-02-24 10:53:17 UTC
Seems to be a crash in oxygen theme:

#3  0x00007fffe5d65746 in Oxygen::MenuBarStateEngine::animatedRectangleIsValid (this=this@entry=0x7fffe7ffaf00, widget=widget@entry=0x0) at /usr/src/debug/oxygen-gtk3-1.3.3/src/animations/oxygenmenubarstateengine.h:144
#4  0x00007fffe5d5f0c2 in Oxygen::render_frame (engine=<optimized out>, context=0x7fffb5cc0800, x=0, y=0, w=1280, h=31) at /usr/src/debug/oxygen-gtk3-1.3.3/src/oxygenthemingengine.cpp:1069
#5  0x0000003a62840d52 in gtk_render_frame (context=0x7fffe53701d0, cr=0x7fffb5cc0800, x=0, y=0, width=1280, height=31) at gtkstylecontext.c:4013
#6  0x00007ffff2fc52e0 in moz_gtk_menu_popup_paint (direction=<optimized out>, rect=<optimized out>, cr=<optimized out>) at /usr/src/debug/firefox-gtk3-30.0/mozilla-central-20140210/widget/gtk/gtk3drawing.c:2357
#7  moz_gtk_widget_paint (widget=MOZ_GTK_MENUBAR, cr=0x7fffb5cc0800, rect=0x7fffffffad68, state=<optimized out>, flags=1207965011, direction=GTK_TEXT_DIR_LTR) at /usr/src/debug/firefox-gtk3-30.0/mozilla-central-20140210/widget/gtk/gtk3drawing.c:3215
#8  0x00007ffff2fe07e6 in nsNativeThemeGTK::DrawWidgetBackground (this=0x7fffb5cb3800, aContext=<optimized out>, aFrame=0x7fffb6061280, aWidgetType=<optimized out>, aRect=..., aDirtyRect=...) at /usr/src/debug/firefox-gtk3-30.0/mozilla-central-20140210/widget/gtk/nsNativeThemeGTK.cpp:850
#9  0x00007ffff35af897 in nsDisplayThemedBackground::PaintInternal (this=0x7fffaec11878, aBuilder=<optimized out>, aCtx=0x7fffaec089c0, aBounds=..., aClipRect=<optimized out>) at /usr/src/debug/firefox-gtk3-30.0/mozilla-central-20140210/layout/base/nsDisplayList.cpp:2350
#10 0x00007ffff3597dfc in mozilla::FrameLayerBuilder::PaintItems (this=this@entry=0x7fffaedeb120, aItems=..., aRect=..., aContext=aContext@entry=0x7fffafff7100, aRC=aRC@entry=0x7fffaec089c0, aBuilder=aBuilder@entry=0x7fffffffb678, aPresContext=aPresContext@entry=0x7fffb7950800, aOffset=..., aXScale=aXScale@entry=1, aYScale=aYScale@entry=1, aCommonClipCount=aCommonClipCount@entry=0) at /usr/src/debug/firefox-gtk3-30.0/mozilla-central-20140210/layout/base/FrameLayerBuilder.cpp:3536
#11 0x00007ffff359833f in mozilla::FrameLayerBuilder::DrawThebesLayer (aLayer=0x7fffaec14c00, aContext=0x7fffafff7100, aRegionToDraw=..., aClip=<optimized out>, aRegionToInvalidate=..., aCallbackData=0x7fffffffb678) at /usr/src/debug/firefox-gtk3-30.0/mozilla-central-20140210/layout/base/FrameLayerBuilder.cpp:3701

Comment 8 Sergio Monteiro Basto 2014-02-24 23:33:22 UTC
yes , change [1] to Adwaita gtk theme or Qtcurve firefox-gtk3 works , so reassign to oxygen-gtk3 

[1] kde seetings -> application appearance -> GTK+ appearance

Comment 9 Fedora Update System 2014-02-27 10:34:38 UTC
oxygen-gtk3-1.3.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/oxygen-gtk3-1.3.3-3.fc20

Comment 10 Fedora Update System 2014-02-28 18:28:27 UTC
Package oxygen-gtk3-1.3.3-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing oxygen-gtk3-1.3.3-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3175/oxygen-gtk3-1.3.3-3.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-03-04 06:47:06 UTC
oxygen-gtk3-1.3.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Sergio Monteiro Basto 2014-03-06 16:09:27 UTC
just to report that also works here 

many thanks


Note You need to log in before you can comment on or make changes to this bug.